Subject: Re: Required comparators

From: Gregory Sereda <[email-masked]>
Date: Wed, 19 Aug 1998 14:36:10 -0400

At 11:45 AM 8/19/98 -0400, Barry Leiba wrote:
>
>Any objections to adding i;ascii-casemap, in addition to i;octet, as
>a *required* comparator?

I agree (as I stated in a previous message) that case insensitive is
more useful.  I think that it should be required and be the default.
I am not very fond of the complex syntax needed if case insensitive
is not the default:

   Example:  if header "Subject" :contains :comparator "i;ascii-casemap"
                "make money fast" {
                   discard;

But since the sieve language will be most likely hidden from the user
behind a neat user interface, the syntax is not a big issue (unless
we expect people to write their own sieve scripts).

Greg Sereda